Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230456 - CVE-2007-1263 gnupg signed message spoofing
Summary: CVE-2007-1263 gnupg signed message spoofing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnupg
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard: impact=important,source=corelabs,repo...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 21:33 UTC by Josh Bressers
Modified: 2008-01-28 14:15 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0106
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-06 09:23:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch (deleted)
2007-02-28 21:35 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0106 normal SHIPPED_LIVE Important: gnupg security update 2007-03-06 09:23:44 UTC

Description Josh Bressers 2007-02-28 21:33:42 UTC
CoreLabs has reported several flaws in the way gnupg verifies signed messages. 
It is possible to construct a message with injected content and it will appear
to be valid, signed content.

This flaw is most dangerous in the way many mail programs use gnupg to verify
signed and encrypted messages.

Comment 1 Josh Bressers 2007-02-28 21:34:14 UTC
These flaws also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2007-02-28 21:35:50 UTC
Created attachment 148963 [details]
Proposed patch

Comment 6 Mark J. Cox 2007-03-05 21:25:28 UTC
now public at
http://www.coresecurity.com/index.php5?module=ContentMod&action=item&id=1687
removing embargo

Comment 7 Red Hat Bugzilla 2007-03-06 09:23:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0106.html



Note You need to log in before you can comment on or make changes to this bug.